# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global python2ver %(python2 -c "import sys; print sys.version[:3]" || echo none)
%{!?python2_sitelib: %global python2_sitelib %{_prefix}/lib/python%{python2ver}/site-packages}
%global moin_static_content_dir %{python2_sitelib}/MoinMoin/web/static/htdocs

Summary:	The "hypermodern" theme for the moin wiki engine
Name:		moin-theme-hypermodern
Version:	2006.02.24
Release:	14.%{__distinit}%{__distvers}
URL:		http://moinmo.in/ThemeMarket/Hypermodern
Source0:	hypermodern.tar.gz
License:	GPL-2.0-or-later
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	python2
Requires:	moin >= 1.9.0
Requires:	python(abi) = %{python2ver}

%description
Hypermodern will look a lot like modern, unless you have a good eye and look
for little things. If your browser color defaults are not the page white sort,
this will behave more "purely" in buttons and input fields (in Mozilla, my
buttons are used, not GTK). This supports the Slideshow add-on (all slides in
one long page), which by current code for that plugin means the built in (one
page each) slide-shows are not supported - alas, they use similar CSS tags to
different purposes. There is a very plain sandy gradient behind the top, which
makes it look a bit less silly (although still bulky) if you have a large logo.
Colors are subtle enough for corporate use.

People feeling lost wanting to make their own re-colorations of Modern may
enjoy this heavily commented theme.

%prep
%setup -q -c

cat << EOF > README.rpm
After installing this package, any newly-created wiki instances should
automatically have the hypermodern theme available.

To make the hypermodern theme available to an existing wiki instance, copy
%{_datadir}/moin/data/plugin/theme/hypermodern.py*
to the data/plugin/theme directory of the wiki instance and do:
chown apache:apache /path/to/wiki/data/plugin/theme/hypermodern.py*
EOF

%build
# Generate normal (.pyc) byte-compiled files.
python2 -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'
# Generate optimized (.pyo) byte-compiled files.
python2 -O -c 'import compileall; compileall.compile_dir(".", 1, "/", 1)'

%install
install -d -m 755 %{buildroot}%{_datadir}/moin/data/plugin/theme
install -p -m 644 hypermodern/hypermodern.py* %{buildroot}%{_datadir}/moin/data/plugin/theme/
install -d -m 755 %{buildroot}%{moin_static_content_dir}/hypermodern/{css,img}
install -p -m 644 hypermodern/css/*.css %{buildroot}%{moin_static_content_dir}/hypermodern/css/
install -p -m 644 hypermodern/img/*.png %{buildroot}%{moin_static_content_dir}/hypermodern/img/

# Symlink to conflict and renamed icons from modern theme
ln -s ../../modern/img/moin-{conflict,renamed}.png %{buildroot}%{moin_static_content_dir}/hypermodern/img/
# Symlink to attach icon from modern theme
ln -s ../../modern/img/attach.png %{buildroot}%{moin_static_content_dir}/hypermodern/img/

%pretrans -p <lua>
-- Remove old compat symlink, if present
path = "%{moin_static_content_dir}/hypermodern"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end

%files
%doc README.rpm
%{_datadir}/moin/data/plugin/theme/hypermodern.py*
%{moin_static_content_dir}/hypermodern/

%changelog
* Wed Mar 29 2023 Paul Howarth <paul@city-fan.org> - 2006.02.24-14
- Use SPDX-format license tag

* Sat Nov 10 2018 Paul Howarth <paul@city-fan.org> - 2006.02.24-13
- Use python2 instead of generic python
- Manually add python(abi) dependency

* Sat Jan  6 2018 Paul Howarth <paul@city-fan.org> - 2006.02.24-12
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Feb 18 2015 Paul Howarth <paul@city-fan.org> - 2006.02.24-11
- Drop support for old distributions prior to FC-5
  - No need to support python < 2.4 or moin < 1.9.0
  - Drop %%defattr, redundant since rpm 4.4
- Move static content from %%{_datadir} to %%{python_sitelib} as wanted by
  moin ≥ 1.9.0 and remove any old compat symlink with a %%pretrans script

* Thu Oct 13 2011 Paul Howarth <paul@city-fan.org> - 2006.02.24-10
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux
- BR: python2 rather than just python

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 2006.02.24-9
- Rebuild for python 2.7 in Rawhide

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 2006.02.24-8
- Fix dist tag for RHEL-6 Beta

* Thu Dec 31 2009 Paul Howarth <paul@city-fan.org> - 2006.02.24-7
- Add compat symlink to static content from
  %%{python_sitelib}/MoinMoin/web/static/htdocs for moin ≥ 1.9.0
- BR: symlinks
- Add symlink to attach icon from modern theme
- Symlink missing icons moin-{conflict,renamed}.png to those in the modern
  theme
- Dist tag for Rawhide no longer needs special-casing

* Thu Jul  9 2009 Paul Howarth <paul@city-fan.org> - 2006.02.24-6
- Update URL for new moin site
- Define RPM macros in global scope
- Use %%{__install} -p to maintain timestamps

* Tue Nov  6 2007 Paul Howarth <paul@city-fan.org> - 2006.02.24-5
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL version 2 or later

* Mon Dec 11 2006 Paul Howarth <paul@city-fan.org> - 2006.02.24-4
- Rebuild for python 2.5 on Rawhide

* Tue Dec  5 2006 Paul Howarth <paul@city-fan.org> - 2006.02.24-3
- Fix python-abi dep for python 2.3
- Fix mock build where python is not in the initial buildroot

* Mon Sep 18 2006 Paul Howarth <paul@city-fan.org> - 2006.02.24-2
- Fix dist tag for development builds
- Buildreq python, not python-devel
- Define %%{__id_u} in a more portable way
- Don't ghost .pyo files

* Fri Feb 24 2006 Paul Howarth <paul@city-fan.org> - 2006.02.24-1
- Initial package build
